Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002233 [Piwigo] users & groups minor always 2011.03.27 18:55 2011.04.17 10:03
Reporter LucMorizur View Status public  
Assigned To mistic100
Priority low Resolution fixed Platform Any
Status closed   OS Any
Projection none   OS Version Any
ETA none Fixed in Version 2.2.1 Product Version 2.2.0
  Target Version 2.2.1 Product Build
Summary 0002233: errors with accentuated characters on user_list.php filtered list
Description In Admin > Users > Manage , when using the fieldset "Filter", and searching for a user such as "Échö" for instance, the user is properly found if it exists, but the username is repeated in the field "Username" as user "Ã?chö", because the "É" and the "ö" are not properly interprated as multibyte string characters.
Steps To Reproduce Perform a search for a username containing "special" characters.
Additional Information To avoid this, the line 525 of user_list.php should be:

    'F_USERNAME' => @htmlentities($_GET['username'], ENT_COMPAT, 'UTF-8'),

so that htmlentities should work with $_GET['username'] as mbstring.
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004925)
svn (reporter)
2011.04.02 15:36

[Subversion] r9989 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2233 specials chars error on user_list.php
(0004926)
mistic100 (developer)
2011.04.02 15:36

solved on rev9989

- Issue History
Date Modified Username Field Change
2011.03.27 18:55 LucMorizur New Issue
2011.03.27 18:57 LucMorizur Project Event Cats => Piwigo
2011.04.02 12:55 mistic100 Status new => assigned
2011.04.02 12:55 mistic100 Assigned To => mistic100
2011.04.02 15:36 svn Checkin
2011.04.02 15:36 svn Note Added: 0004925
2011.04.02 15:36 mistic100 Note Added: 0004926
2011.04.02 15:36 mistic100 Status assigned => resolved
2011.04.02 15:36 mistic100 Fixed in Version => 2.3
2011.04.02 15:36 mistic100 Resolution open => fixed
2011.04.16 19:52 plg browser => any
2011.04.16 19:52 plg Web server => Apache 1.3.x
2011.04.16 19:52 plg Status resolved => closed
2011.04.16 19:52 plg version => 2.2.0
2011.04.16 19:52 plg Fixed in Version 2.3 => 2.2.1
2011.04.16 19:52 plg Target Version => 2.2.1
2011.04.17 00:17 plg Summary Filtered search in user_list.php doesn't properly display certain characters => errors with accentuated characters on user_list.php filtered list
2011.04.17 10:03 plg Category Bug => user or group management


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker